SphinxClient::setGroupBy
SphinxClient::setIDRange
SphinxClient
PHP Manual

# SphinxClient::setGroupDistinct

(PECL sphinx >= 0.1.0)

SphinxClient::setGroupDistinct — Set attribute name for per-group distinct values count calculations

### Descrição

public bool SphinxClient::setGroupDistinct ( string `$attribute` )

Sets attribute name for per-group distinct values count calculations. Only available for grouping queries. For each group, all values of `attribute` will be stored, then the amount of distinct values will be calculated and returned to the client. This feature is similar to COUNT(DISTINCT) clause in SQL.

### Parâmetros

`attribute`

  A string containing group-by attribute name.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

### Veja Também

- SphinxClient::setSortMode
- SphinxClient::setGroupBy
- SphinxClient::resetGroupBy

SphinxClient::setGroupBy
SphinxClient::setIDRange
SphinxClient
PHP Manual